org.apache.lucene.analysis.pt

## Class PortugueseStemmer

- java.lang.Object
- - org.apache.lucene.analysis.pt.RSLPStemmerBase
  - - org.apache.lucene.analysis.pt.PortugueseStemmer

-     public class PortugueseStemmer
      extends RSLPStemmerBase

  Portuguese stemmer implementing the RSLP (Removedor de Sufixos da Lingua Portuguesa) algorithm. This is sometimes also referred to as the Orengo stemmer.
  See Also:
    `RSLPStemmerBase`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase

      `RSLPStemmerBase.Rule, RSLPStemmerBase.RuleWithSetExceptions, RSLPStemmerBase.RuleWithSuffixExceptions, RSLPStemmerBase.Step`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortugueseStemmer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `stem(char[] s, int len)`

    - ### Methods inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase

      `parse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PortugueseStemmer

          public PortugueseStemmer()

  - ### Method Detail

    - #### stem

          public int stem(char[] s,
                 int len)

      Parameters:
        `s` - buffer, oversized to at least `len+1`
        `len` - initial valid length of buffer
      Returns:
        new valid length, stemmed

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.